#
# spec file for package patterns-gnome
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_with betatest

Name:           patterns-gnome
Version:        20170319
Release:        0
Summary:        Patterns for Installation (Gnome)
License:        MIT
Group:          Metapackages
Url:            https://github.com/openSUSE/patterns
Source0:        %{name}-rpmlintrc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  patterns-rpm-macros


%description
This is an internal package that is used to create the patterns as part
of the installation source setup.  Installation of this package does
not make sense.

This particular package contains all the Gnome patterns.

################################################################################

%package devel_gnome
%pattern_development
Summary:        GNOME Development
Group:          Metapackages
Provides:       pattern() = devel_gnome
Provides:       pattern-icon() = pattern-gnome-devel
Provides:       pattern-order() = 3160
Provides:       pattern-visible()
Requires:       pattern() = devel_C_C++
Requires:       pattern() = gnome_basis

Recommends:     cairo-devel
Recommends:     clutter-devel
Recommends:     clutter-gst-devel
Recommends:     clutter-gtk-devel
Recommends:     evolution-data-server-devel
Recommends:     gdk-pixbuf-devel
Recommends:     glib2-devel
Recommends:     libgnome-desktop-3-devel
Recommends:     gnome-menus-devel
Recommends:     gnome-online-accounts-devel
Recommends:     gtk2-devel
Recommends:     gtk3-devel
Recommends:     gtksourceview-devel
Recommends:     gucharmap-devel
Recommends:     json-glib-devel
Recommends:     libcanberra-devel
Recommends:     libgdata-devel
Recommends:     libgnome-keyring-devel
Recommends:     libgsf-devel
Recommends:     libgtop-devel
Recommends:     libgweather-devel
Recommends:     libnotify-devel
Recommends:     librsvg-devel
Recommends:     libsoup-devel
Recommends:     libwebkitgtk-devel
Recommends:     libwnck-devel
Recommends:     pango-devel
Recommends:     tracker-devel
Recommends:     vte-devel
# Build tools
Recommends:     gnome-common
Recommends:     gnome-doc-utils-devel
Recommends:     gobject-introspection-devel
Recommends:     gtk-doc
Recommends:     intltool
Recommends:     itstool
Recommends:     vala
Recommends:     yelp-tools
Suggests:       python-gobject-devel

%description devel_gnome
GNOME development packages.

%files devel_gnome
%dir /usr/share/doc/packages/patterns
/usr/share/doc/packages/patterns/devel_gnome.txt

################################################################################

%package gnome
%pattern_graphicalenvironments
Summary:        GNOME Desktop Environment
Group:          Metapackages
Provides:       pattern() = gnome
Provides:       pattern-icon() = pattern-gnome
Provides:       pattern-order() = 1010
Provides:       pattern-visible()
Requires:       pattern() = gnome_basis
Recommends:     pattern() = games
Recommends:     pattern() = imaging
Recommends:     pattern() = gnome_admin
Recommends:     pattern() = gnome_internet
Recommends:     pattern() = multimedia
Recommends:     pattern() = office
Recommends:     pattern() = gnome_utilities
#
# Official upstream
#
# #544192
Recommends:     baobab
Recommends:     bijiben
# #302492
Suggests:       brasero
# bnc#366894
Recommends:     caribou
Recommends:     cheese
# #594593
Recommends:     empathy
Recommends:     eog
Recommends:     evince
Recommends:     evolution
Recommends:     file-roller
Recommends:     gcr-viewer
Recommends:     gedit
Recommends:     gnome-bluetooth
Recommends:     gnome-calculator
Recommends:     gnome-contacts
Recommends:     gnome-clocks
Recommends:     gnome-dictionary
Recommends:     gnome-documents
# #554954
Recommends:     gnome-disk-utility
Recommends:     gnome-logs
Recommends:     gnome-maps
Recommends:     gnome-screenshot
Recommends:     gnome-system-monitor
# #447627
Recommends:     gnome-user-share
Recommends:     gucharmap
# #399801
Recommends:     mousetweaks
Recommends:     nautilus-sendto
Recommends:     orca
# #545263
Recommends:     seahorse
Recommends:     sushi
Recommends:     totem
Recommends:     totem-browser-plugin
Recommends:     vino
Recommends:     zenity
#
# Packages that really make sense
#
# Tool for advanced configuration of printers
Recommends:     system-config-printer
# #608156
Recommends:     tracker
Recommends:     tracker-gui
Recommends:     tracker-miner-evolution
#
# Telepathy connection managers
#
Recommends:     telepathy-gabble
Recommends:     telepathy-haze
Recommends:     telepathy-idle
Recommends:     telepathy-rakia
Recommends:     telepathy-salut
#
# While running a GNOME3 session, it's nice to have the GNOME3 related pinentry
# for proper gpg2 integration
#
Recommends:     pinentry-gnome3
Suggests:       dasher
Suggests:       gconf-editor
Suggests:       gnome-backgrounds
# bnc#698250
Suggests:       gnome-color-manager

%description gnome
The GNOME desktop environment is an intuitive and attractive desktop for users.

%files gnome
%dir /usr/share/doc/packages/patterns
/usr/share/doc/packages/patterns/gnome.txt

################################################################################

%package gnome_admin
%pattern_gnomedesktop
Summary:        GNOME Administration Tools
Group:          Metapackages
Provides:       pattern() = gnome_admin
Provides:       pattern-extends() = gnome
Provides:       pattern-icon() = pattern-generic
Provides:       pattern-order() = 2040
Requires:       pattern() = basesystem
Requires:       pattern() = x11
# from data/GNOME-ADMIN
# bnc#372207
Recommends:     vinagre

%description gnome_admin
Administration Tools e.g. for desktop lockdown

%files gnome_admin
%dir /usr/share/doc/packages/patterns
/usr/share/doc/packages/patterns/gnome_admin.txt

################################################################################

%package gnome_basis
%pattern_graphicalenvironments
Summary:        GNOME Base System
Group:          Metapackages
Provides:       pattern() = gnome_basis
Provides:       pattern-icon() = pattern-gnome
Provides:       pattern-order() = 1000
Provides:       pattern-visible()
Requires:       pattern() = basesystem
Requires:       pattern() = x11
Recommends:     pattern() = gnome_basis_opt

Requires:       gdm
Requires:       gnome-session
#
# Default sessions
# - Put in Recommends for now, to make sure the livecd will always build; but
#   ideally, should be in Requires
# - We also we explicitly put the packages required by those sessions, in case
#   gnome-session-*-session is not installable, to make sure the livecd is
#   somehow a bit usable
#
Recommends:     gnome-session-default-session
Recommends:     gnome-session-fallback-session
# default
Recommends:     gnome-settings-daemon
Recommends:     gnome-shell
#
# Low-level parts that we need
#
# bnc#430161
Recommends:     NetworkManager
Recommends:     dbus-1-x11
Recommends:     desktop-file-utils
# we want useful bug reports
Recommends:     gdb
Recommends:     gpg2
Recommends:     gpgme
Recommends:     polkit-default-privs
Recommends:     samba
Recommends:     susehelp
#
# Branding
#
# #591535
Recommends:     gconf2-branding-openSUSE
Recommends:     gdm-branding-openSUSE
Recommends:     gio-branding-openSUSE
Recommends:     gnome-control-center-branding-openSUSE
Recommends:     gnome-menus-branding-openSUSE
Recommends:     gnome-panel-branding-openSUSE
Recommends:     gtk2-branding-openSUSE
Recommends:     gtk3-branding-openSUSE
Recommends:     hicolor-icon-theme-branding-openSUSE
Recommends:     libsocialweb-branding-openSUSE
Recommends:     desktop-branding
#
# Now the real packages
#
# #332596
Recommends:     gnome-keyring-pam
Recommends:     at-spi2-core
Recommends:     canberra-gtk-play
Recommends:     gnome-control-center
Recommends:     gnome-user-docs
Recommends:     gnome-keyring
Recommends:     gnome-menus
Recommends:     gnome-power-manager
Recommends:     gnome-screensaver
Recommends:     gnome-terminal
Recommends:     nautilus
Recommends:     NetworkManager-applet
Recommends:     shared-mime-info
Recommends:     xkeyboard-config
Recommends:     yelp
# Pulseaudio is the default sound server
Recommends:     pulseaudio-module-bluetooth
Recommends:     pulseaudio-module-gconf
Recommends:     pulseaudio-module-lirc
Recommends:     pulseaudio-module-x11
Recommends:     pulseaudio-module-zeroconf
Recommends:     pulseaudio-utils
# #509829
Recommends:     xdg-user-dirs-gtk
# we need something for xdg-su
Recommends:     libgnomesu

# from data/COMMON-DESKTOP
Recommends:     google-droid-fonts
Recommends:     MozillaFirefox
Recommends:     desktop-data-openSUSE
Recommends:     avahi
# bnc#508120
Recommends:     xdg-user-dirs
# bnc#598884
Suggests:       moonlight-plugin
# metalink downloader
Suggests:       aria2

%description gnome_basis
Base packages for the GNOME desktop environment.

%files gnome_basis
%dir /usr/share/doc/packages/patterns
/usr/share/doc/packages/patterns/gnome_basis.txt

################################################################################

%package gnome_basis_opt
%pattern_graphicalenvironments
Summary:        GNOME Base System
Group:          Metapackages
Provides:       pattern() = gnome_basis_opt
Provides:       pattern-extends() = gnome_basis
Provides:       pattern-icon() = pattern-gnome
Provides:       pattern-order() = 1420
Requires:       pattern() = basesystem
Requires:       pattern() = x11

# #394406
Recommends:     dynamic-wallpaper-branding-openSUSE

# packages a GTK application
Recommends:     gutenprint
# MAYBE later lsb-graphics
# give net shares
Recommends:     samba
# needs python-qt4, see#649280#14
Suggests:       hplip

%description gnome_basis_opt
Base packages for the GNOME desktop environment.

%files gnome_basis_opt
%dir /usr/share/doc/packages/patterns
/usr/share/doc/packages/patterns/gnome_basis_opt.txt

################################################################################

%package gnome_games
%pattern_gnomedesktop
Summary:        GNOME Games
Group:          Metapackages
Provides:       pattern() = gnome_games
Provides:       pattern-extends() = games
Provides:       pattern-icon() = pattern-gnome
Provides:       pattern-order() = 2100
Supplements:    packageand(patterns-gnome:patterns-games)
# from data/GNOME-Games
Recommends:     iagno
Recommends:     lightsoff
Recommends:     quadrapassel
Recommends:     gnome-chess
Recommends:     gnome-mahjongg
Recommends:     gnome-mines
Recommends:     gnome-sudoku
Recommends:     swell-foop
Recommends:     gnuchess
Suggests:       gnome-games-extra-data
Suggests:       phalanx

%description gnome_games
GNOME Games

%files gnome_games
%dir /usr/share/doc/packages/patterns
/usr/share/doc/packages/patterns/gnome_games.txt

################################################################################

%package gnome_ide
%pattern_gnomedesktop
Summary:        GNOME Integrated Development Environment
Group:          Metapackages
Provides:       pattern() = gnome_ide
Provides:       pattern-icon() = pattern-generic
Provides:       pattern-order() = 2060
# from data/GNOME-IDE
Recommends:     anjuta
Recommends:     devhelp
Recommends:     glade
# from devel_ide
Recommends:     monodevelop
Suggests:       accerciser
Suggests:       anjuta-extras
Suggests:       ghex
Suggests:       giggle
Suggests:       gitg
Suggests:       gnome-devel-docs
Suggests:       meld
Suggests:       nemiver

%description gnome_ide
Development under GNOME

%files gnome_ide
%dir /usr/share/doc/packages/patterns
/usr/share/doc/packages/patterns/gnome_ide.txt

################################################################################

%package gnome_imaging
%pattern_gnomedesktop
Summary:        GNOME Graphics
Group:          Metapackages
Provides:       pattern() = gnome_imaging
Provides:       pattern-extends() = imaging
Provides:       pattern-icon() = package_graphics
Provides:       pattern-order() = 2140
Supplements:    packageand(patterns-gnome:patterns-imaging)
Requires:       pattern() = gnome_basis
Recommends:     pattern() = gnome_imaging_opt
# from data/GNOME-IMAGE
#
# Official upstream
#
Recommends:     eog
#
# Packages that really make sense
#
Recommends:     gnome-photos
Recommends:     simple-scan
Suggests:       f-spot

%description gnome_imaging
Handling of digital photos and graphics

%files gnome_imaging
%dir /usr/share/doc/packages/patterns
/usr/share/doc/packages/patterns/gnome_imaging.txt

################################################################################

%package gnome_imaging_opt
%pattern_gnomedesktop
Summary:        GNOME Graphics
Group:          Metapackages
Provides:       pattern() = gnome_imaging_opt
Provides:       pattern-extends() = imaging
Provides:       pattern-icon() = package_graphics
Provides:       pattern-order() = 2120
Supplements:    packageand(patterns-gnome:patterns-imaging)
Requires:       pattern() = gnome_basis
# from data/GNOME-IMAGE-OPT
Suggests:       inkscape
Suggests:       dia
Suggests:       gthumb

%description gnome_imaging_opt
Handling of digital photos and graphics

%files gnome_imaging_opt
%dir /usr/share/doc/packages/patterns
/usr/share/doc/packages/patterns/gnome_imaging_opt.txt

################################################################################

%package gnome_internet
%pattern_gnomedesktop
Summary:        GNOME Internet
Group:          Metapackages
Provides:       pattern() = gnome_internet
Provides:       pattern-extends() = gnome
Provides:       pattern-icon() = package_network
Provides:       pattern-order() = 2420
# from data/GNOME-Internet
#
# Official upstream
#
Recommends:     empathy
Recommends:     evolution
#
# Packages that really make sense
#
Recommends:     liferea
# bnc#533580
Recommends:     NetworkManager-openvpn-gnome
Recommends:     NetworkManager-pptp-gnome
Recommends:     NetworkManager-vpnc-gnome
Recommends:     NetworkManager-openconnect-gnome
# bnc#530416
Recommends:     transmission-gtk
Recommends:     polari
#
# Official upstream
#
# bnc#366894
Suggests:       ekiga
Suggests:       epiphany
#
# Packages that can make sense
#
Suggests:       frogr
Suggests:       evolution-plugin-rss
Suggests:       pidgin

%description gnome_internet
GNOME Internet Applications

%files gnome_internet
%dir /usr/share/doc/packages/patterns
/usr/share/doc/packages/patterns/gnome_internet.txt

################################################################################

%package gnome_laptop
%pattern_gnomedesktop
Summary:        GNOME Laptop
Group:          Metapackages
Provides:       pattern() = gnome_laptop
Provides:       pattern-extends() = laptop
Provides:       pattern-icon() = pattern-generic
Provides:       pattern-order() = 2160
Supplements:    packageand(patterns-gnome:patterns-laptop)
Requires:       pattern() = gnome_basis
# from data/GNOME-LAPTOP
Recommends:     gnome-bluetooth
Suggests:       xournal

%description gnome_laptop
GNOME Tools designed specifically for use with laptop computers.

%files gnome_laptop
%dir /usr/share/doc/packages/patterns
/usr/share/doc/packages/patterns/gnome_laptop.txt

################################################################################

%package gnome_multimedia
%pattern_gnomedesktop
Summary:        GNOME Multimedia
Group:          Metapackages
Provides:       pattern() = gnome_multimedia
Provides:       pattern-extends() = multimedia
Provides:       pattern-icon() = pattern-gnome
Provides:       pattern-order() = 2200
Supplements:    packageand(patterns-gnome:patterns-multimedia)
Recommends:     pattern() = gnome_multimedia_opt
#
# GStreamer magic
#
# software.openSUSE.org/codecs
Recommends:     gstreamer-plugins-base
Recommends:     gstreamer-plugins-bad
Recommends:     gstreamer-plugins-good
Recommends:     gstreamer-plugins-ugly
# bnc#445314
Recommends:     gstreamer-utils
#
# Official upstream
#
Recommends:     totem
Recommends:     totem-browser-plugin
#
# Packages that really make sense
#
Recommends:     gnome-music
#
# Packages that really make sense
#
Suggests:       paprefs
Suggests:       pavucontrol
Suggests:       pitivi
Suggests:       sound-juicer

%description gnome_multimedia
GNOME Multimedia

%files gnome_multimedia
%dir /usr/share/doc/packages/patterns
/usr/share/doc/packages/patterns/gnome_multimedia.txt

################################################################################

%package gnome_multimedia_opt
%pattern_gnomedesktop
Summary:        GNOME Multimedia
Group:          Metapackages
Provides:       pattern() = gnome_multimedia_opt
Provides:       pattern-extends() = multimedia
Provides:       pattern-icon() = pattern-gnome
Provides:       pattern-order() = 2180
Supplements:    packageand(patterns-gnome:patterns-multimedia)
# from data/GNOME-Multimedia-OPT

%description gnome_multimedia_opt
GNOME Multimedia

%files gnome_multimedia_opt
%dir /usr/share/doc/packages/patterns
/usr/share/doc/packages/patterns/gnome_multimedia_opt.txt

################################################################################

%package gnome_office
%pattern_gnomedesktop
Summary:        GNOME Office
Group:          Metapackages
Provides:       pattern() = gnome_office
Provides:       pattern-extends() = office
Provides:       pattern-icon() = pattern-gnome
Provides:       pattern-order() = 2240
Supplements:    packageand(patterns-gnome:patterns-office)
Requires:       pattern() = gnome_basis
Recommends:     pattern() = gnome_office_opt
# from data/GNOME-Office
#
# Official upstream
#
Recommends:     evolution
#
# Packages that really make sense
#
Recommends:     libreoffice-gnome
Recommends:     libreoffice-icon-theme-tango
Suggests:       abiword
Suggests:       evolution-ews
Suggests:       glabels
Suggests:       gnumeric
Suggests:       pinpoint
Suggests:       planner

%description gnome_office
GNOME Office

%files gnome_office
%dir /usr/share/doc/packages/patterns
/usr/share/doc/packages/patterns/gnome_office.txt

################################################################################

%package gnome_office_opt
%pattern_gnomedesktop
Summary:        GNOME Office
Group:          Metapackages
Provides:       pattern() = gnome_office_opt
Provides:       pattern-extends() = office
Provides:       pattern-icon() = pattern-gnome
Provides:       pattern-order() = 2220
Supplements:    packageand(patterns-gnome:patterns-office)
Requires:       pattern() = gnome_basis
Suggests:       grisbi

%description gnome_office_opt
GNOME Office

%files gnome_office_opt
%dir /usr/share/doc/packages/patterns
/usr/share/doc/packages/patterns/gnome_office_opt.txt

################################################################################

%package gnome_utilities
%pattern_gnomedesktop
Summary:        GNOME Utilities
Group:          Metapackages
Provides:       pattern() = gnome_utilities
Provides:       pattern-extends() = gnome
Provides:       pattern-icon() = pattern-gnome
Provides:       pattern-order() = 2280
Requires:       pattern() = gnome_basis
#
# Official upstream
#
Recommends:     baobab
Recommends:     cheese
Recommends:     file-roller
Recommends:     gedit
Recommends:     gnome-calculator
Recommends:     gnome-dictionary
Recommends:     gnome-screenshot
Recommends:     gucharmap
Recommends:     nautilus-extension-seahorse
Recommends:     nautilus-sendto
Recommends:     seahorse
Recommends:     bijiben
#
# Packages that really make sense
#
Recommends:     gnome-tweak-tool
Recommends:     gsf-office-thumbnailer
Recommends:     gdk-pixbuf-thumbnailer
Recommends:     rsvg-thumbnailer
Recommends:     gnome-weather
#
# Official upstream
#
Suggests:       dasher
Suggests:       eog-plugins
Suggests:       gedit-plugins
#
# Packages that can make sense
#
Suggests:       gtg
# #388570
Suggests:       nautilus-share

%description gnome_utilities
GNOME Utilities

%files gnome_utilities
%dir /usr/share/doc/packages/patterns
/usr/share/doc/packages/patterns/gnome_utilities.txt

################################################################################

%package gnome_yast
%pattern_basetechnologies
Summary:        YaST GNOME User Interfaces
Group:          Metapackages
Provides:       pattern() = gnome_yast
Provides:       pattern-extends() = yast2_basis
Provides:       pattern-icon() = pattern-generic
Provides:       pattern-order() = 1260
Supplements:    packageand(patterns-gnome:patterns-yast2_basis)

# Use libyui-qt-pkg since libyui-gtk-pkg seems to be unmaintained
Requires:       libyui-qt-pkg
Requires:       yast2-control-center-qt
# yast modules for the desktop
Recommends:     yast2-scanner
Recommends:     yast2-tv

%description gnome_yast
Graphical YaST user interfaces for the GNOME desktop.

%files gnome_yast
%dir /usr/share/doc/packages/patterns
/usr/share/doc/packages/patterns/gnome_yast.txt

################################################################################

%package sw_management_gnome
%pattern_basetechnologies
Summary:        Package Management - Graphical Tools for GNOME
Group:          Metapackages
Provides:       pattern() = sw_management_gnome
Provides:       pattern-extends() = sw_management
Provides:       pattern-icon() = pattern-generic
Provides:       pattern-order() = 1780
Supplements:    packageand(patterns-gnome_basis:patterns-sw_management)
Requires:       pattern() = sw_management
Requires:       pattern() = x11
# from data/SW-MANGEMENT-GNOME
Recommends:     gnome-packagekit
Recommends:     gnome-software
Suggests:       libyui-gtk-pkg

%description sw_management_gnome
Package Management - Graphical Tools

%files sw_management_gnome
%dir /usr/share/doc/packages/patterns
/usr/share/doc/packages/patterns/sw_management_gnome.txt

%prep

%build

%install
mkdir -p $RPM_BUILD_ROOT/usr/share/doc/packages/patterns/
echo 'This file marks the pattern devel_gnome to be installed.' > $RPM_BUILD_ROOT/usr/share/doc/packages/patterns/devel_gnome.txt
echo 'This file marks the pattern gnome to be installed.' > $RPM_BUILD_ROOT/usr/share/doc/packages/patterns/gnome.txt
echo 'This file marks the pattern gnome_admin to be installed.' > $RPM_BUILD_ROOT/usr/share/doc/packages/patterns/gnome_admin.txt
echo 'This file marks the pattern gnome_basis to be installed.' > $RPM_BUILD_ROOT/usr/share/doc/packages/patterns/gnome_basis.txt
echo 'This file marks the pattern gnome_basis_opt to be installed.' > $RPM_BUILD_ROOT/usr/share/doc/packages/patterns/gnome_basis_opt.txt
echo 'This file marks the pattern gnome_games to be installed.' > $RPM_BUILD_ROOT/usr/share/doc/packages/patterns/gnome_games.txt
echo 'This file marks the pattern gnome_ide to be installed.' > $RPM_BUILD_ROOT/usr/share/doc/packages/patterns/gnome_ide.txt
echo 'This file marks the pattern gnome_imaging to be installed.' > $RPM_BUILD_ROOT/usr/share/doc/packages/patterns/gnome_imaging.txt
echo 'This file marks the pattern gnome_imaging_opt to be installed.' > $RPM_BUILD_ROOT/usr/share/doc/packages/patterns/gnome_imaging_opt.txt
echo 'This file marks the pattern gnome_internet to be installed.' > $RPM_BUILD_ROOT/usr/share/doc/packages/patterns/gnome_internet.txt
echo 'This file marks the pattern gnome_laptop to be installed.' > $RPM_BUILD_ROOT/usr/share/doc/packages/patterns/gnome_laptop.txt
echo 'This file marks the pattern gnome_multimedia to be installed.' > $RPM_BUILD_ROOT/usr/share/doc/packages/patterns/gnome_multimedia.txt
echo 'This file marks the pattern gnome_multimedia_opt to be installed.' > $RPM_BUILD_ROOT/usr/share/doc/packages/patterns/gnome_multimedia_opt.txt
echo 'This file marks the pattern gnome_office to be installed.' > $RPM_BUILD_ROOT/usr/share/doc/packages/patterns/gnome_office.txt
echo 'This file marks the pattern gnome_office_opt to be installed.' > $RPM_BUILD_ROOT/usr/share/doc/packages/patterns/gnome_office_opt.txt
echo 'This file marks the pattern gnome_utilities to be installed.' > $RPM_BUILD_ROOT/usr/share/doc/packages/patterns/gnome_utilities.txt
echo 'This file marks the pattern gnome_yast to be installed.' > $RPM_BUILD_ROOT/usr/share/doc/packages/patterns/gnome_yast.txt
echo 'This file marks the pattern sw_management_gnome to be installed.' > $RPM_BUILD_ROOT/usr/share/doc/packages/patterns/sw_management_gnome.txt
